var debug = debug || {};



debug.createDummy = function(){

	var basicMaterial = new THREE.MeshLambertMaterial( { vertexColors: THREE.FaceColors , side: THREE.DoubleSide });
	var basicLineMaterial = new THREE.LineBasicMaterial( { vertexColors: THREE.FaceColors , linewidth: 2 } );

	var mesh = new THREE.Mesh( models.import( enemies[ 4 ] , 10 ) , basicMaterial );
	var line = new THREE.LineSegments( models.importLine( enemies[ 5 ] , 9.8 ) , basicLineMaterial );

	// we're going to determine what kind of enemy this shape is.
	// that'll be determined by what color it's faces are.
	generateGameContent.enemyDetails( mesh );

	mesh.scale.set( 0.003 , 0.003, 0.003 );
	mesh.position.set( 0 , 0 , 0 );
	mesh.visible = false;

	line.scale.set( 0.0031 , 0.0031 , 0.0031 );
	line.position.set( 0 , 0 , 0 );
	line.visible = false;

	return [ mesh , line ];

}

// createArrow function pulled from another program, NOT DOCUMENTED
debug.createArrow = function(v, col, d2, v2, le , hl ){

	var f = v2 || new THREE.Vector3(0,0,0);
	var e = col || 3;
	var g = d2 || false;
	var l = le || 0.5;
	var h = hl || l*.1;
	var a = v.clone();
	var b = f.clone();
	var c = a.clone();
	if(g == false){
		var d = c.sub(b).normalize();
	} else {
		var d = b.sub(c).normalize();
	}
	if(col == 1){ // RED
		var e = new THREE.ArrowHelper(d, a, l, 0xff0000, h);
	} else if(col == 2){ // BLUE
		var e = new THREE.ArrowHelper(d, a, l, 0x0000ff, h);
	} else if(col == 3){ // GREEN
		var e = new THREE.ArrowHelper(d, a, l, 0x00ff00, h);
	} else if(col == 4){ // PURPLE
		var e = new THREE.ArrowHelper(d, a, l, 0xff00ff, h);
	} else if(col == 5){ // CYAN
		var e = new THREE.ArrowHelper(d, a, l, 0x00ffff, h);
	} else if(col == 6){ // BLACK
		var e = new THREE.ArrowHelper(d, a, l, 0x000000, h);
	} else if(col == 0) { // WHITE
		var e = new THREE.ArrowHelper(d, a, l, 0xffffff, h);	
	} else { // YELLOW: Default
		var e = new THREE.ArrowHelper(d, a, l, 0xffff00, h);	
	}
	
	return e;	
};